# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/MimeTypesPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_MimeTypesPage(object):
    def setupUi(self, MimeTypesPage):
        MimeTypesPage.setObjectName("MimeTypesPage")
        MimeTypesPage.resize(480, 515)
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(MimeTypesPage)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.headerLabel = QtWidgets.QLabel(parent=MimeTypesPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_3.addWidget(self.headerLabel)
        self.line9 = QtWidgets.QFrame(parent=MimeTypesPage)
        self.line9.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line9.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9.setObjectName("line9")
        self.verticalLayout_3.addWidget(self.line9)
        self.label = QtWidgets.QLabel(parent=MimeTypesPage)
        self.label.setWordWrap(True)
        self.label.setObjectName("label")
        self.verticalLayout_3.addWidget(self.label)
        self.groupBox = QtWidgets.QGroupBox(parent=MimeTypesPage)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.textMimeTypesList = EricStringListEditWidget(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.textMimeTypesList.sizePolicy().hasHeightForWidth())
        self.textMimeTypesList.setSizePolicy(sizePolicy)
        self.textMimeTypesList.setFocusPolicy(QtCore.Qt.FocusPolicy.WheelFocus)
        self.textMimeTypesList.setObjectName("textMimeTypesList")
        self.verticalLayout.addWidget(self.textMimeTypesList)
        self.verticalLayout_3.addWidget(self.groupBox)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=MimeTypesPage)
        self.groupBox_2.setObjectName("groupBox_2")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.groupBox_2)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.textFilePatternsList = EricStringListEditWidget(parent=self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.textFilePatternsList.sizePolicy().hasHeightForWidth())
        self.textFilePatternsList.setSizePolicy(sizePolicy)
        self.textFilePatternsList.setFocusPolicy(QtCore.Qt.FocusPolicy.WheelFocus)
        self.textFilePatternsList.setObjectName("textFilePatternsList")
        self.verticalLayout_2.addWidget(self.textFilePatternsList)
        self.verticalLayout_3.addWidget(self.groupBox_2)
        self.loadUnknownCheckBox = QtWidgets.QCheckBox(parent=MimeTypesPage)
        self.loadUnknownCheckBox.setObjectName("loadUnknownCheckBox")
        self.verticalLayout_3.addWidget(self.loadUnknownCheckBox)

        self.retranslateUi(MimeTypesPage)
        QtCore.QMetaObject.connectSlotsByName(MimeTypesPage)
        MimeTypesPage.setTabOrder(self.textMimeTypesList, self.textFilePatternsList)
        MimeTypesPage.setTabOrder(self.textFilePatternsList, self.loadUnknownCheckBox)

    def retranslateUi(self, MimeTypesPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("MimeTypesPage", "<b>Configure Text Mimetypes and File Patterns</b>"))
        self.label.setText(_translate("MimeTypesPage", "Files of the mime types configured below are opened in an eric editor (in addition to all \'text\' mime types)."))
        self.groupBox.setTitle(_translate("MimeTypesPage", "MimeTypes"))
        self.groupBox_2.setTitle(_translate("MimeTypesPage", "File Patterns"))
        self.loadUnknownCheckBox.setToolTip(_translate("MimeTypesPage", "Load files whose type cannot be determined as being text."))
        self.loadUnknownCheckBox.setText(_translate("MimeTypesPage", "Load files of unknown type"))
from eric7.EricWidgets.EricStringListEditWidget import EricStringListEditWidget
